## tesseract 3.03.03

=== training/Makefile ===
# Makefile.in generated by automake 1.11.3 from Makefile.am.
# training/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






pkgdatadir = $(datadir)/tesseract
pkgincludedir = $(includedir)/tesseract
pkglibdir = $(libdir)/tesseract
pkglibexecdir = $(libexecdir)/tesseract
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
# TODO: training programs can not be linked to shared library created 
# with -fvisibility 
#am__append_1 = -all-static
bin_PROGRAMS = ambiguous_words$(EXEEXT) classifier_tester$(EXEEXT) \
	cntraining$(EXEEXT) combine_tessdata$(EXEEXT) \
	dawg2wordlist$(EXEEXT) mftraining$(EXEEXT) \
	set_unicharset_properties$(EXEEXT) shapeclustering$(EXEEXT) \
	text2image$(EXEEXT) unicharset_extractor$(EXEEXT) \
	wordlist2dawg$(EXEEXT)
#am__append_2 = \
#    ../api/libtesseract_api.la \
#    ../textord/libtesseract_textord.la \
#    ../classify/libtesseract_classify.la \
#    ../dict/libtesseract_dict.la \
#    ../ccstruct/libtesseract_ccstruct.la \
#    ../cutil/libtesseract_cutil.la \
#    ../viewer/libtesseract_viewer.la \
#    ../ccmain/libtesseract_main.la \
#    ../cube/libtesseract_cube.la \
#    ../neural_networks/runtime/libtesseract_neural.la \
#    ../wordrec/libtesseract_wordrec.la \
#    ../ccutil/libtesseract_ccutil.la

am__append_3 = \
    ../api/libtesseract.la

#am__append_4 = \
#    ../api/libtesseract_api.la \
#    ../textord/libtesseract_textord.la \
#    ../classify/libtesseract_classify.la \
#    ../dict/libtesseract_dict.la \
#    ../ccstruct/libtesseract_ccstruct.la \
#    ../cutil/libtesseract_cutil.la \
#    ../viewer/libtesseract_viewer.la \
#    ../ccmain/libtesseract_main.la \
#    ../cube/libtesseract_cube.la \
#    ../neural_networks/runtime/libtesseract_neural.la \
#    ../wordrec/libtesseract_wordrec.la \
#    ../ccutil/libtesseract_ccutil.la

am__append_5 = \
    ../api/libtesseract.la

#am__append_6 = \
#    ../textord/libtesseract_textord.la \
#    ../classify/libtesseract_classify.la \
#    ../dict/libtesseract_dict.la \
#    ../ccstruct/libtesseract_ccstruct.la \
#    ../cutil/libtesseract_cutil.la \
#    ../viewer/libtesseract_viewer.la \
#    ../ccmain/libtesseract_main.la \
#    ../cube/libtesseract_cube.la \
#    ../neural_networks/runtime/libtesseract_neural.la \
#    ../wordrec/libtesseract_wordrec.la \
#    ../ccutil/libtesseract_ccutil.la

am__append_7 = \
    ../api/libtesseract.la

#am__append_8 = \
#    ../classify/libtesseract_classify.la \
#    ../dict/libtesseract_dict.la \
#    ../ccstruct/libtesseract_ccstruct.la \
#    ../cutil/libtesseract_cutil.la \
#    ../viewer/libtesseract_viewer.la \
#    ../ccmain/libtesseract_main.la \
#    ../cube/libtesseract_cube.la \
#    ../neural_networks/runtime/libtesseract_neural.la \
#    ../wordrec/libtesseract_wordrec.la \
#    ../textord/libtesseract_textord.la \
#    ../ccutil/libtesseract_ccutil.la

am__append_9 = \
    ../api/libtesseract.la

#am__append_10 = \
#    ../textord/libtesseract_textord.la \
#    ../classify/libtesseract_classify.la \
#    ../dict/libtesseract_dict.la \
#    ../ccstruct/libtesseract_ccstruct.la \
#    ../cutil/libtesseract_cutil.la \
#    ../viewer/libtesseract_viewer.la \
#    ../ccmain/libtesseract_main.la \
#    ../cube/libtesseract_cube.la \
#    ../neural_networks/runtime/libtesseract_neural.la \
#    ../wordrec/libtesseract_wordrec.la \
#    ../ccutil/libtesseract_ccutil.la

am__append_11 = \
    ../api/libtesseract.la

#am__append_12 = \
#    ../textord/libtesseract_textord.la \
#    ../classify/libtesseract_classify.la \
#    ../dict/libtesseract_dict.la \
#    ../ccstruct/libtesseract_ccstruct.la \
#    ../cutil/libtesseract_cutil.la \
#    ../viewer/libtesseract_viewer.la \
#    ../ccmain/libtesseract_main.la \
#    ../cube/libtesseract_cube.la \
#    ../neural_networks/runtime/libtesseract_neural.la \
#    ../wordrec/libtesseract_wordrec.la \
#    ../ccutil/libtesseract_ccutil.la

am__append_13 = \
    ../api/libtesseract.la

#am__append_14 = \
#    ../textord/libtesseract_textord.la \
#    ../classify/libtesseract_classify.la \
#    ../dict/libtesseract_dict.la \
#    ../ccstruct/libtesseract_ccstruct.la \
#    ../cutil/libtesseract_cutil.la \
#    ../viewer/libtesseract_viewer.la \
#    ../ccmain/libtesseract_main.la \
#    ../cube/libtesseract_cube.la \
#    ../neural_networks/runtime/libtesseract_neural.la \
#    ../wordrec/libtesseract_wordrec.la \
#    ../ccutil/libtesseract_ccutil.la

am__append_15 = \
    ../api/libtesseract.la

#am__append_16 = \
#    ../textord/libtesseract_textord.la \
#    ../classify/libtesseract_classify.la \
#    ../dict/libtesseract_dict.la \
#    ../ccstruct/libtesseract_ccstruct.la \
#    ../cutil/libtesseract_cutil.la \
#    ../viewer/libtesseract_viewer.la \
#    ../ccmain/libtesseract_main.la \
#    ../cube/libtesseract_cube.la \
#    ../neural_networks/runtime/libtesseract_neural.la \
#    ../wordrec/libtesseract_wordrec.la \
#    ../ccutil/libtesseract_ccutil.la

am__append_17 = \
    ../api/libtesseract.la

#am__append_18 = \
#    ../ccutil/libtesseract_ccutil.la \
#    ../ccstruct/libtesseract_ccstruct.la

am__append_19 = \
    ../api/libtesseract.la

#am__append_20 = \
#    ../classify/libtesseract_classify.la \
#    ../dict/libtesseract_dict.la \
#    ../ccstruct/libtesseract_ccstruct.la \
#    ../cutil/libtesseract_cutil.la \
#    ../viewer/libtesseract_viewer.la \
#    ../ccmain/libtesseract_main.la \
#    ../cube/libtesseract_cube.la \
#    ../neural_networks/runtime/libtesseract_neural.la \
#    ../wordrec/libtesseract_wordrec.la \
#    ../textord/libtesseract_textord.la \
#    ../ccutil/libtesseract_ccutil.la

am__append_21 = \
    ../api/libtesseract.la

#am__append_22 = -lws2_32
#am__append_23 = -lws2_32
#am__append_24 = -lws2_32
#am__append_25 = -lws2_32
#am__append_26 = -lws2_32
#am__append_27 = -lws2_32
#am__append_28 = -lws2_32
#am__append_29 = -lws2_32
#am__append_30 = -lws2_32
#am__append_31 = -I$(top_srcdir)/vs2010/port
#am__append_32 = ../vs2010/port/strcasestr.h
#am__append_33 = ../vs2010/port/strcasestr.cpp
subdir = training
DIST_COMMON = $(am__noinst_HEADERS_DIST) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config_auto.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
libtesseract_tessopt_la_LIBADD =
am_libtesseract_tessopt_la_OBJECTS = tessopt.lo
libtesseract_tessopt_la_OBJECTS =  \
	$(am_libtesseract_tessopt_la_OBJECTS)
libtesseract_training_la_DEPENDENCIES =  \
	../cutil/libtesseract_cutil.la
am__libtesseract_training_la_SOURCES_DIST = boxchar.cpp \
	commandlineflags.cpp commontraining.cpp degradeimage.cpp \
	fileio.cpp ligature_table.cpp normstrngs.cpp \
	pango_font_info.cpp stringrenderer.cpp tlog.cpp \
	../vs2010/port/strcasestr.cpp
#am__objects_1 = strcasestr.lo
am_libtesseract_training_la_OBJECTS = boxchar.lo commandlineflags.lo \
	commontraining.lo degradeimage.lo fileio.lo ligature_table.lo \
	normstrngs.lo pango_font_info.lo stringrenderer.lo tlog.lo \
	$(am__objects_1)
libtesseract_training_la_OBJECTS =  \
	$(am_libtesseract_training_la_OBJECTS)
am__installdirs = "$(DESTDIR)$(bindir)"
PROGRAMS = $(bin_PROGRAMS)
am_ambiguous_words_OBJECTS = ambiguous_words.$(OBJEXT)
ambiguous_words_OBJECTS = $(am_ambiguous_words_OBJECTS)
am__DEPENDENCIES_1 =
ambiguous_words_DEPENDENCIES = libtesseract_training.la \
	libtesseract_tessopt.la $(am__append_2) $(am__append_3) \
	$(am__DEPENDENCIES_1)
am_classifier_tester_OBJECTS = classifier_tester.$(OBJEXT)
classifier_tester_OBJECTS = $(am_classifier_tester_OBJECTS)
classifier_tester_DEPENDENCIES = libtesseract_training.la \
	libtesseract_tessopt.la $(am__append_4) $(am__append_5) \
	$(am__DEPENDENCIES_1)
am_cntraining_OBJECTS = cntraining.$(OBJEXT)
cntraining_OBJECTS = $(am_cntraining_OBJECTS)
cntraining_DEPENDENCIES = libtesseract_training.la \
	libtesseract_tessopt.la $(am__append_6) $(am__append_7) \
	$(am__DEPENDENCIES_1)
am_combine_tessdata_OBJECTS = combine_tessdata.$(OBJEXT)
combine_tessdata_OBJECTS = $(am_combine_tessdata_OBJECTS)
combine_tessdata_DEPENDENCIES =  \
	../api/libtesseract.la \
	$(am__DEPENDENCIES_1)
#combine_tessdata_DEPENDENCIES =  \
#	../ccutil/libtesseract_ccutil.la \
#	$(am__DEPENDENCIES_1)
am_dawg2wordlist_OBJECTS = dawg2wordlist.$(OBJEXT)
dawg2wordlist_OBJECTS = $(am_dawg2wordlist_OBJECTS)
dawg2wordlist_DEPENDENCIES = libtesseract_tessopt.la $(am__append_8) \
	$(am__append_9) $(am__DEPENDENCIES_1)
am_mftraining_OBJECTS = mftraining.$(OBJEXT) mergenf.$(OBJEXT)
mftraining_OBJECTS = $(am_mftraining_OBJECTS)
mftraining_DEPENDENCIES = libtesseract_training.la \
	libtesseract_tessopt.la $(am__append_10) $(am__append_11) \
	$(am__DEPENDENCIES_1)
am_set_unicharset_properties_OBJECTS =  \
	set_unicharset_properties.$(OBJEXT)
set_unicharset_properties_OBJECTS =  \
	$(am_set_unicharset_properties_OBJECTS)
set_unicharset_properties_DEPENDENCIES = libtesseract_training.la \
	libtesseract_tessopt.la $(am__DEPENDENCIES_1) $(am__append_12) \
	$(am__append_13)
am_shapeclustering_OBJECTS = shapeclustering.$(OBJEXT)
shapeclustering_OBJECTS = $(am_shapeclustering_OBJECTS)
shapeclustering_DEPENDENCIES = libtesseract_training.la \
	libtesseract_tessopt.la $(am__append_14) $(am__append_15) \
	$(am__DEPENDENCIES_1)
am_text2image_OBJECTS = text2image.$(OBJEXT)
text2image_OBJECTS = $(am_text2image_OBJECTS)
text2image_DEPENDENCIES = libtesseract_training.la \
	libtesseract_tessopt.la $(am__append_16) $(am__append_17) \
	$(am__DEPENDENCIES_1)
am_unicharset_extractor_OBJECTS = unicharset_extractor.$(OBJEXT)
unicharset_extractor_OBJECTS = $(am_unicharset_extractor_OBJECTS)
unicharset_extractor_DEPENDENCIES = libtesseract_tessopt.la \
	$(am__append_18) $(am__append_19) $(am__DEPENDENCIES_1)
am_wordlist2dawg_OBJECTS = wordlist2dawg.$(OBJEXT)
wordlist2dawg_OBJECTS = $(am_wordlist2dawg_OBJECTS)
wordlist2dawg_DEPENDENCIES = libtesseract_tessopt.la $(am__append_20) \
	$(am__append_21) $(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/config/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libtesseract_tessopt_la_SOURCES) \
	$(libtesseract_training_la_SOURCES) $(ambiguous_words_SOURCES) \
	$(classifier_tester_SOURCES) $(cntraining_SOURCES) \
	$(combine_tessdata_SOURCES) $(dawg2wordlist_SOURCES) \
	$(mftraining_SOURCES) $(set_unicharset_properties_SOURCES) \

=== java/com/google/scrollview/ui/Makefile ===
# Makefile.in generated by automake 1.11.3 from Makefile.am.
# java/com/google/scrollview/ui/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/tesseract
pkgincludedir = $(includedir)/tesseract
pkglibdir = $(libdir)/tesseract
pkglibexecdir = $(libexecdir)/tesseract
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = java/com/google/scrollview/ui
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config_auto.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} /usr/local/google/home/rays/src/opensrc/tesseract-ocr/config/missing --run aclocal-1.11
AMTAR = $${TAR-tar}
AM_CPPFLAGS =  -O2 -DNDEBUG
AM_LDFLAGS = 
AR = ar
AUTOCONF = ${SHELL} /usr/local/google/home/rays/src/opensrc/tesseract-ocr/config/missing --run autoconf
AUTOHEADER = ${SHELL} /usr/local/google/home/rays/src/opensrc/tesseract-ocr/config/missing --run autoheader
AUTOMAKE = ${SHELL} /usr/local/google/home/rays/src/opensrc/tesseract-ocr/config/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS =  -I/usr/include/leptonica -pthread -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include   -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GENERIC_API_VERSION = 3.3
GENERIC_LIBRARY_NAME = tesseract
GENERIC_LIBRARY_VERSION = 3:3
GENERIC_MAJOR_VERSION = 3
GENERIC_RELEASE = 3.3
GENERIC_VERSION = 3.3.0
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBLEPT_HEADERSDIR = /usr/local/include /usr/include
LIBOBJS = 
LIBS = -llept -lpthread 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /usr/local/google/home/rays/src/opensrc/tesseract-ocr/config/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OPENCL_HDR_PATH = 
OPENCL_LIB = 
OTOOL = 
OTOOL64 = 
PACKAGE = tesseract
PACKAGE_BUGREPORT = http://code.google.com/p/tesseract-ocr/issues/list
PACKAGE_DATE = 01/14
PACKAGE_NAME = tesseract
PACKAGE_STRING = tesseract 3.03
PACKAGE_TARNAME = tesseract
PACKAGE_URL = 
PACKAGE_VERSION = 3.03
PACKAGE_YEAR = 2014
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 3.03
abs_builddir = /usr/local/google/home/rays/src/opensrc/tesseract-ocr/java/com/google/scrollview/ui
abs_srcdir = /usr/local/google/home/rays/src/opensrc/tesseract-ocr/java/com/google/scrollview/ui
abs_top_builddir = /usr/local/google/home/rays/src/opensrc/tesseract-ocr
abs_top_srcdir = /usr/local/google/home/rays/src/opensrc/tesseract-ocr
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include/tesseract
infodir = ${datarootdir}/info
install_sh = ${SHELL} /usr/local/google/home/rays/src/opensrc/tesseract-ocr/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../../../../
top_builddir = ../../../../..
top_srcdir = ../../../../..
SUBDIRS = 
EXTRA_DIST = \
    SVAbstractMenuItem.java \
    SVCheckboxMenuItem.java SVEmptyMenuItem.java \
    SVImageHandler.java SVMenuBar.java \
    SVMenuItem.java SVPopupMenu.java SVSubMenuItem.java SVWindow.java

all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu java/com/google/scrollview/ui/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu java/com/google/scrollview/ui/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \

## tesseract 3.04.01

=== debian/changelog ===
tesseract (3.04.01-4mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 27 Oct 2016 14:47:06 -0700

tesseract (3.04.01-4) unstable; urgency=medium

  * switch to pbuilder (closes: #815882)
  * accept fix to watch file from bartm
  * hopefully finish up libtesseract4 mess (closes: #815970, #815860)

 -- Jeff Breidenbach <jab@debian.org>  Fri, 26 Feb 2016 18:23:36 -0800

tesseract (3.04.01-3) unstable; urgency=medium

  * Fix leptonica dependency (closes: #815132)
  * Drop back to libtesseract3, restore old ABI (closes: #815056)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 25 Feb 2016 00:22:26 +0000

tesseract (3.04.01-2) unstable; urgency=medium

  * Fix copyright file

 -- Jeff Breidenbach <jab@debian.org>  Thu, 18 Feb 2016 23:43:56 +0000

tesseract (3.04.01-1) unstable; urgency=medium

  * New upstream release (closes: #796178)
  * Bump soversion (closes: #742027)
  * Acknowledge upstream migration from code.google.com to github

 -- Jeff Breidenbach <jab@debian.org>  Tue, 16 Feb 2016 17:39:39 +0000

tesseract (3.04.00-5) unstable; urgency=medium

  * New metapackage language hoarders
  * Bugfix to stop data corruption on stdout

 -- Jeff Breidenbach <jab@debian.org>  Fri, 17 Jul 2015 23:08:32 +0000

tesseract (3.04.00-4) unstable; urgency=medium

  * Fix file overwrite problem (closes: #792659)

 -- Jeff Breidenbach <jab@debian.org>  Fri, 17 Jul 2015 22:25:49 +0000

tesseract (3.04.00-3) unstable; urgency=medium

  * Improve training script and add a bit of documentation

 -- Jeff Breidenbach <jab@debian.org>  Tue, 14 Jul 2015 22:16:46 +0000

tesseract (3.04.00-2) unstable; urgency=medium

  * Include high level training script, tesstrain.sh

 -- Jeff Breidenbach <jab@debian.org>  Tue, 14 Jul 2015 00:05:52 +0000

tesseract (3.04.00-1) unstable; urgency=low

  * New upstream release
  * Revised descriptions (closes: #763003)
  * Include pkg-config file (closes: #745766)

 -- Jeff Breidenbach <jab@debian.org>  Fri, 10 Jul 2015 06:26:21 +0000

tesseract (3.03.03-1) unstable; urgency=medium

  * Remove accidental .o files in source tarball.
  * Restore the missing training binaries. (closes: #742029)

 -- Jeff Breidenbach <jab@debian.org>  Fri, 28 Mar 2014 15:54:30 -0700

tesseract (3.03.02-3) unstable; urgency=low

  * Fix dependency mistake introduced in 3.02.02-2
  * Patch from upstream to fix PDF rendering for Arabic

 -- Jeff Breidenbach <jab@debian.org>  Fri, 07 Feb 2014 09:25:16 -0800

tesseract (3.03.02-2) unstable; urgency=low

  * improve version dependencies (closes: #737481)
  * work on lintian warnings

 -- Jeff Breidenbach <jab@debian.org>  Wed, 05 Feb 2014 17:36:52 -0800

tesseract (3.03.02-1) unstable; urgency=low

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Tue, 04 Feb 2014 16:44:15 -0800

tesseract (3.03.01-1) unstable; urgency=low

  * New upstream release, includes critical fix to PDF rendering
  * Complete leptonlib transition (see bug #735509)
  * Promote from experimental to unstable

 -- Jeff Breidenbach <jab@debian.org>  Mon, 03 Feb 2014 11:10:20 -0800

tesseract (3.03.00-1) experimental; urgency=low

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Thu, 16 Jan 2014 16:21:29 -0800

tesseract (3.02.02-1) unstable; urgency=low

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Tue, 23 Oct 2012 23:25:05 +0000

tesseract (3.02.01-6) unstable; urgency=low

  * No changes. Bumping package version to poosibly help with upload.

 -- Jeff Breidenbach <jab@debian.org>  Mon, 30 Jul 2012 16:01:21 -0700

tesseract (3.02.01-5) unstable; urgency=low

  * Working with Jonathan to fix mistaken extra files.

 -- Jeff Breidenbach <jab@debian.org>  Mon, 30 Jul 2012 11:38:04 -0700

tesseract (3.02.01-4.2) unstable; urgency=low

  * Non-maintainer upload
  * Remove files added to source by mistake in last sponsored upload

 -- Jeff Breidenbach <jab@debian.org>  Mon, 30 Jul 2012 11:37:58 -0700

tesseract (3.02.01-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Remove hardcoded dependency on libleptonica (closes: #680598)
  * Bump build-dependency on libleptonica-dev to ">> 1.69-3." for
    fixed shlibs

 -- Jonathan Nieder <jrnieder@gmail.com>  Thu, 19 Jul 2012 16:51:03 -0500

tesseract (3.02.01-4) unstable; urgency=low

  * Create dummy transition package (closes: #658478)
  * Put a version on leptonica dependency (closes: #664175)
  * Remove quilt

 -- Jeff Breidenbach <jab@debian.org>  Fri, 02 Mar 2012 01:20:33 +0000

tesseract (3.02.01-2) unstable; urgency=low

  * Add patch from Martin Owens to fix a segfault when tesseract
    encounters a grey-scale image saved from The GIMP (LP: #793002).
    Thanks, Martin! Thanks, Ubuntu!

 -- Jeff Breidenbach <jab@debian.org>  Thu, 16 Feb 2012 15:36:22 -0800

tesseract (3.02.01-1) unstable; urgency=low

  * New upstream release
  * Upstream fixed a segfault (closes: #658634)
  * Upstream wrote some missing manpages.

 -- Jeff Breidenbach <jab@debian.org>  Tue, 14 Feb 2012 18:30:21 -0800

tesseract (3.02-3) unstable; urgency=low

  * lintian: ancient-standards-version, quilt-build-dep-but-no-series-file
  * lintian: wrong-section-according-to-package-name
  * simplify dependencies and require English (closes: 658099)

 -- Jeff Breidenbach <jab@debian.org>  Sat, 04 Feb 2012 15:27:27 -0800

tesseract (3.02-2) unstable; urgency=medium

  * Deal with file moving to new package name (closes: #658476)
  * Move .so symlink to the dev package (closes: #658472)
  * tesseract 3.0x officially breaks ocropus 0.3.x (closes: #658095)
  * Add dependency to equation "language" at request of upstream
  * Note that 3.0x tesseract-ocr-dev was renamed to libtesseract-dev
  * Bumping urgency to medium due to looming propagation deadlines

 -- Jeff Breidenbach <jab@debian.org>  Fri, 03 Feb 2012 10:10:07 -0800

tesseract (3.02-1) unstable; urgency=low

  * New upstream release
  * 3.0x doesn't have trouble with finding files (closes: #558254)


=== debian/control ===
Source: tesseract
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jeffrey Ratcliffe <Jeffrey.Ratcliffe@gmail.com>
Uploaders: Jeff Breidenbach <jab@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libleptonica-dev (>= 1.70~),
 automake,
 libtool,
 libpango1.0-dev,
 libcairo2-dev,
 libicu-dev
Standards-Version: 3.9.6
Homepage: https://github.com/tesseract-ocr

Package: tesseract-ocr-dev
Depends: libtesseract-dev, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package.

Package: libtesseract-dev
Section: libdevel
Architecture: any
Depends: libtesseract3 (= ${binary:Version}), ${misc:Depends}
Replaces: tesseract-ocr-dev (<< 3.0.1-1~)
Breaks: tesseract-ocr-dev (<< 3.0.1-1~)
Description: Development files for the tesseract command line OCR tool
 The Tesseract OCR engine was one of the top 3 engines in the 1995
 UNLV Accuracy test. Between 1995 and 2006 it had little work done on
 it, but since then it has been improved extensively by Google and is
 probably one of the most accurate open source OCR engines
 available. It can read a wide variety of image formats and convert
 them to text in over 40 languages. This package includes the development
 files, static library, and header files.

Package: libtesseract3
Breaks: tesseract-ocr (<< 3.01~),
 ocropus (<< 0.4.0~),
 libtesseract4 (<< 3.04.01-3~)
Replaces: tesseract-ocr (<< 3.01~), libtesseract4 (<< 3.04.01-3~)
Conflicts: libtesseract3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tesseract OCR library
 The Tesseract OCR engine was one of the top 3 engines in the 1995
 UNLV Accuracy test. Between 1995 and 2006 it had little work done on
 it, but since then it has been improved extensively by Google and is
 probably one of the most accurate open source OCR engines
 available. It can read a wide variety of image formats and convert
 them to text in over 40 languages. This package includes the shared
 library.

Package: tesseract-ocr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 tesseract-ocr-eng (>= 3.01~),
 tesseract-ocr-osd,
 tesseract-ocr-equ,
 libtesseract3 (>= 3.03~)
Replaces: tesseract-ocr-data
Description: Tesseract command line OCR tool
 The Tesseract OCR engine was one of the top 3 engines in the 1995
 UNLV Accuracy test. Between 1995 and 2006 it had little work done on
 it, but since then it has been improved extensively by Google and is
 probably one of the most accurate open source OCR engines
 available. It can read a wide variety of image formats and convert
 them to text in over 40 languages. This package includes the command
 line tool.

Package: tesseract-ocr-all
Architecture: all
Depends: ${misc:Depends},
 tesseract-ocr,
 tesseract-ocr-afr,
 tesseract-ocr-amh,
 tesseract-ocr-ara,
 tesseract-ocr-asm,
 tesseract-ocr-aze,
 tesseract-ocr-aze-cyrl,
 tesseract-ocr-bel,
 tesseract-ocr-ben,
 tesseract-ocr-bod,
 tesseract-ocr-bos,
 tesseract-ocr-bul,
 tesseract-ocr-cat,
 tesseract-ocr-ceb,
 tesseract-ocr-ces,
 tesseract-ocr-chi-sim,
 tesseract-ocr-chi-tra,
 tesseract-ocr-chr,
 tesseract-ocr-cym,
 tesseract-ocr-dan,
 tesseract-ocr-dan-frak,
 tesseract-ocr-deu,
 tesseract-ocr-deu-frak,
 tesseract-ocr-dzo,
 tesseract-ocr-ell,
 tesseract-ocr-eng,
 tesseract-ocr-enm,
 tesseract-ocr-epo,
 tesseract-ocr-equ,
 tesseract-ocr-est,
 tesseract-ocr-eus,
 tesseract-ocr-fas,
 tesseract-ocr-fin,
 tesseract-ocr-fra,
 tesseract-ocr-frk,
 tesseract-ocr-frm,
 tesseract-ocr-gle,
 tesseract-ocr-gle-uncial,
 tesseract-ocr-glg,
 tesseract-ocr-grc,
 tesseract-ocr-guj,
 tesseract-ocr-hat,
 tesseract-ocr-heb,
 tesseract-ocr-hin,
 tesseract-ocr-hrv,
 tesseract-ocr-hun,
 tesseract-ocr-iku,
 tesseract-ocr-ind,
 tesseract-ocr-isl,
 tesseract-ocr-ita,
 tesseract-ocr-ita-old,
 tesseract-ocr-jav,
 tesseract-ocr-jpn,
 tesseract-ocr-kan,
 tesseract-ocr-kat,
 tesseract-ocr-kat-old,
 tesseract-ocr-kaz,
 tesseract-ocr-khm,
 tesseract-ocr-kir,
 tesseract-ocr-kor,
 tesseract-ocr-kur,
 tesseract-ocr-lao,
 tesseract-ocr-lat,
 tesseract-ocr-lav,
 tesseract-ocr-lit,
 tesseract-ocr-mal,
 tesseract-ocr-mar,
 tesseract-ocr-mkd,
 tesseract-ocr-mlt,
 tesseract-ocr-msa,
 tesseract-ocr-mya,
 tesseract-ocr-nep,
 tesseract-ocr-nld,
 tesseract-ocr-nor,
 tesseract-ocr-ori,
 tesseract-ocr-osd,
 tesseract-ocr-pan,
 tesseract-ocr-pol,
 tesseract-ocr-por,
 tesseract-ocr-pus,
 tesseract-ocr-ron,
 tesseract-ocr-rus,
 tesseract-ocr-san,
 tesseract-ocr-sin,
 tesseract-ocr-slk,
 tesseract-ocr-slk-frak,
 tesseract-ocr-slv,
 tesseract-ocr-spa,
 tesseract-ocr-spa-old,
 tesseract-ocr-sqi,
 tesseract-ocr-srp,
 tesseract-ocr-srp-latn,
 tesseract-ocr-swa,
 tesseract-ocr-swe,
 tesseract-ocr-syr,
 tesseract-ocr-tam,
 tesseract-ocr-tel,
 tesseract-ocr-tgk,
 tesseract-ocr-tgl,
 tesseract-ocr-tha,
 tesseract-ocr-tir,
 tesseract-ocr-tur,
 tesseract-ocr-uig,
 tesseract-ocr-ukr,
 tesseract-ocr-urd,
 tesseract-ocr-uzb,
 tesseract-ocr-uzb-cyrl,
 tesseract-ocr-vie,
 tesseract-ocr-yid
Description: Tesseract OCR with all language packages
 This is a metapackage for Tesseract OCR and includes all supported
 languages.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS += -Wall -g -fPIC -DTESSDATA_PREFIX=/usr/share/tesseract-ocr/

%:
	dh $@ --parallel

override_dh_auto_build:
	make
	make training

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp prefix=/usr install 
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp prefix=/usr training-install

override_dh_auto_test:

override_dh_auto_clean:
	dh_auto_clean
	dh_clean java/com/Makefile java/com/google/Makefile java/com/google/scrollview/Makefile java/com/google/scrollview/events/Makefile java/com/google/scrollview/ui/Makefile

override_dh_auto_configure:
	./autogen.sh
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs $(LDFLAGS)"

## tesseract 4.00~git2174

=== CMakeLists.txt ===
#
# tesseract
#

###############################################################################
#
# cmake settings
#
###############################################################################

cmake_minimum_required(VERSION 2.8.11)

# In-source builds are disabled.
if (${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
    message(FATAL_ERROR
        "CMake generation is not possible within the source directory!"
        "\n Remove the CMakeCache.txt file and try again from another folder, e.g.:"
        "\n "
        "\n rm CMakeCache.txt"
        "\n mkdir build"
        "\n cd build"
        "\n cmake .."
    )
endif()

set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_SOURCE_DIR}/cmake")

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_BINARY_DIR}/bin")
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${EXECUTABLE_OUTPUT_PATH}")

# Use solution folders.
set_property(GLOBAL PROPERTY USE_FOLDERS ON)
set_property(GLOBAL PROPERTY PREDEFINED_TARGETS_FOLDER "CMake Targets")

###############################################################################
#
# project settings
#
###############################################################################

project(tesseract C CXX)

set(VERSION_MAJOR 4)
set(VERSION_MINOR 00)
set(VERSION_PLAIN ${VERSION_MAJOR}.${VERSION_MINOR})

set(MINIMUM_LEPTONICA_VERSION 1.74)

if(NOT EXISTS ${PROJECT_SOURCE_DIR}/.cppan)
    if (NOT Leptonica_DIR AND NOT MSVC)
        find_package(PkgConfig REQUIRED)
        pkg_check_modules(Leptonica REQUIRED lept>=${MINIMUM_LEPTONICA_VERSION})
    else()
        find_package(Leptonica ${MINIMUM_LEPTONICA_VERSION} REQUIRED CONFIG)
    endif()
else()
    if (STATIC)
        set(CPPAN_BUILD_SHARED_LIBS 0)
    else()
        set(CPPAN_BUILD_SHARED_LIBS 1)
    endif()
    add_subdirectory(.cppan)
endif()

find_package(OpenCL QUIET)

option(BUILD_TRAINING_TOOLS "Build training tools" ON)

###############################################################################
#
# compiler and linker
#
###############################################################################

set(LIBRARY_TYPE SHARED)
if (STATIC)
    set(LIBRARY_TYPE)
endif()

if (WIN32)
    if (MSVC)
        add_definitions(-D_CRT_SECURE_NO_WARNINGS)

        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
    endif()

    set(LIB_Ws2_32 Ws2_32)
endif()

if (CYGWIN)
    add_definitions(-D__CYGWIN__)
endif()

if (UNIX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=c++11")

    set(LIB_pthread pthread)
endif()

###############################################################################
#
# configure
#
###############################################################################

set(AUTOCONFIG_SRC ${CMAKE_BINARY_DIR}/config_auto.h.in)
set(AUTOCONFIG ${CMAKE_BINARY_DIR}/config_auto.h)

include(Configure)

configure_file(${AUTOCONFIG_SRC} ${AUTOCONFIG} @ONLY)

set(INCLUDE_DIR "${CMAKE_INSTALL_PREFIX}/include" "${CMAKE_INSTALL_PREFIX}/include/tesseract")

configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/templates/TesseractConfig-version.cmake.in
    ${CMAKE_BINARY_DIR}/TesseractConfig-version.cmake @ONLY)
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/templates/TesseractConfig.cmake.in
    ${CMAKE_BINARY_DIR}/TesseractConfig.cmake @ONLY)

###############################################################################
#
# build
#
###############################################################################

include(BuildFunctions)
include(SourceGroups)

add_definitions(-DHAVE_CONFIG_H)
add_definitions(-D_SILENCE_STDEXT_HASH_DEPRECATION_WARNINGS=1)
add_definitions(-DUSE_STD_NAMESPACE=1)
add_definitions(-DWINDLLNAME="libtesseract${VERSION_MAJOR}${VERSION_MINOR}.dll")

include_directories(${Leptonica_INCLUDE_DIRS})

include_directories(${CMAKE_BINARY_DIR})

include_directories(api)
include_directories(arch)
include_directories(ccmain)
include_directories(ccstruct)
include_directories(ccutil)
include_directories(classify)
include_directories(cutil)
include_directories(dict)
include_directories(lstm)
include_directories(opencl)
include_directories(textord)
include_directories(vs2010/port)
include_directories(viewer)
include_directories(wordrec)

########################################
# LIBRARY tesseract
########################################

string(SUBSTRING ${VERSION_MINOR} 0 1 VERSION_MINOR_0)
string(SUBSTRING ${VERSION_MINOR} 1 1 VERSION_MINOR_1)

file(GLOB tesseract_src
    arch/*.cpp
    ccmain/*.cpp
    ccstruct/*.cpp
    ccutil/*.cpp
    classify/*.cpp
    cutil/*.cpp
    dict/*.cpp
    lstm/*.cpp
    opencl/*.cpp
    textord/*.cpp
    viewer/*.cpp
    wordrec/*.cpp
)
file(GLOB tesseract_hdr
    api/*.h
    arch/*.h
    ccmain/*.h
    ccstruct/*.h
    ccutil/*.h
    classify/*.h
    cutil/*.h
    dict/*.h
    lstm/*.h
    opencl/*.h
    textord/*.h
    viewer/*.h
    wordrec/*.h
)
if (WIN32)
    file(GLOB tesseract_win32_src "vs2010/port/*.cpp")
    file(GLOB tesseract_win32_hdr "vs2010/port/*.h")
    set(tesseract_src ${tesseract_src} ${tesseract_win32_src})
    set(tesseract_hdr ${tesseract_hdr} ${tesseract_win32_hdr})
endif()

set(tesseract_src ${tesseract_src}
    api/baseapi.cpp
    api/capi.cpp
    api/renderer.cpp
    api/pdfrenderer.cpp
)

if (WIN32)
    set_source_files_properties(
        ${CMAKE_CURRENT_SOURCE_DIR}/arch/dotproductsse.cpp
        PROPERTIES COMPILE_DEFINITIONS __SSE4_1__)
    if (MSVC)
        set_source_files_properties(
            ${CMAKE_CURRENT_SOURCE_DIR}/arch/dotproductavx.cpp
            PROPERTIES COMPILE_FLAGS "/arch:AVX")
    endif()
else()
    set_source_files_properties(
            ${CMAKE_CURRENT_SOURCE_DIR}/arch/dotproductsse.cpp
            PROPERTIES COMPILE_FLAGS "-msse4.1")
    set_source_files_properties(
            ${CMAKE_CURRENT_SOURCE_DIR}/arch/dotproductavx.cpp
            PROPERTIES COMPILE_FLAGS "-mavx")
endif()

add_library                     (libtesseract ${LIBRARY_TYPE} ${tesseract_src} ${tesseract_hdr})
if (NOT STATIC)
target_compile_definitions      (libtesseract
    PRIVATE -DTESS_EXPORTS
    INTERFACE -DTESS_IMPORTS
)
set_target_properties           (libtesseract PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS True)
endif()
target_link_libraries           (libtesseract ${LIB_Ws2_32} ${LIB_pthread})
set_target_properties           (libtesseract PROPERTIES VERSION ${VERSION_MAJOR}.${VERSION_MINOR_0}.${VERSION_MINOR_1})
set_target_properties           (libtesseract PROPERTIES SOVERSION ${VERSION_MAJOR}.${VERSION_MINOR_0}.${VERSION_MINOR_1})
if (WIN32)
set_target_properties           (libtesseract PROPERTIES OUTPUT_NAME tesseract${VERSION_MAJOR}${VERSION_MINOR})
set_target_properties           (libtesseract PROPERTIES DEBUG_OUTPUT_NAME tesseract${VERSION_MAJOR}${VERSION_MINOR}d)
else()
set_target_properties           (libtesseract PROPERTIES OUTPUT_NAME tesseract)
endif()

if (NOT CPPAN_BUILD)
    target_link_libraries       (libtesseract ${Leptonica_LIBRARIES})
    export(TARGETS libtesseract FILE ${CMAKE_BINARY_DIR}/TesseractTargets.cmake)
else()
    target_link_libraries       (libtesseract pvt.cppan.demo.danbloomberg.leptonica)
    file(WRITE ${CMAKE_BINARY_DIR}/TesseractTargets.cmake "include(${CMAKE_BINARY_DIR}/cppan.cmake)\n")
    export(TARGETS libtesseract APPEND FILE ${CMAKE_BINARY_DIR}/TesseractTargets.cmake)
endif()

########################################
# EXECUTABLE tesseractmain
########################################

set(tesseractmain_src
    api/tesseractmain.cpp
    vs2010/tesseract/resource.h
    vs2010/tesseract/tesseract.rc
)
add_executable                  (tesseract ${tesseractmain_src})
target_link_libraries           (tesseract libtesseract)

########################################

if (EXISTS ${PROJECT_SOURCE_DIR}/googletest/CMakeLists.txt)
    add_subdirectory(googletest)
    add_executable(tesseract_tests tests/tesseracttests.cpp)
    target_link_libraries(tesseract_tests gtest_main)
endif()

if (BUILD_TRAINING_TOOLS)
add_subdirectory(training)
endif()

get_target_property(tesseract_NAME libtesseract NAME)
get_target_property(tesseract_VERSION libtesseract VERSION)
get_target_property(tesseract_OUTPUT_NAME libtesseract OUTPUT_NAME)
configure_file(tesseract.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/tesseract.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tesseract.pc DESTINATION lib/pkgconfig)
install(TARGETS tesseract RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)
install(TARGETS libtesseract EXPORT TesseractTargets RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)
install(EXPORT TesseractTargets DESTINATION cmake)
install(FILES
    ${CMAKE_BINARY_DIR}/TesseractConfig.cmake
    ${CMAKE_BINARY_DIR}/TesseractConfig-version.cmake
    DESTINATION cmake)

install(FILES
    # from api/makefile.am
    api/apitypes.h
    api/baseapi.h 
    api/capi.h 
    api/renderer.h

    #from arch/makefile.am
    arch/dotproductavx.h
    arch/dotproductsse.h 
    arch/simddetect.h

    #from ccmain/makefile.am
    ccmain/thresholder.h
    ccmain/ltrresultiterator.h 
    ccmain/pageiterator.h 
    ccmain/resultiterator.h 
    ccmain/osdetect.h

    #from ccstruct/makefile.am
    ccstruct/publictypes.h 

    #from ccutil/makefile.am
    ccutil/basedir.h 
    ccutil/errcode.h 
    ccutil/fileerr.h 
    ccutil/genericvector.h 
    ccutil/helpers.h 
    ccutil/host.h 
    ccutil/memry.h 
    ccutil/ndminx.h
    ccutil/params.h
    ccutil/ocrclass.h 
    ccutil/platform.h 
    ccutil/serialis.h 
    ccutil/strngs.h 
    ccutil/tesscallback.h
    ccutil/unichar.h 
    ccutil/unicharcompress.h 
    ccutil/unicharmap.h 
    ccutil/unicharset.h
    ccutil/version.h

    #from lstm/makefile.am
    lstm/convolve.h
    lstm/ctc.h 
    lstm/fullyconnected.h 
    lstm/functions.h 
    lstm/input.h
    lstm/lstm.h 
    lstm/lstmrecognizer.h 
    lstm/lstmtrainer.h 
    lstm/maxpool.h
    lstm/networkbuilder.h 
    lstm/network.h 
    lstm/networkio.h 
    lstm/networkscratch.h
    lstm/parallel.h 
    lstm/plumbing.h 
    lstm/recodebeam.h 
    lstm/reconfig.h 
    lstm/reversed.h
    lstm/series.h 
    lstm/static_shape.h 
    lstm/stridemap.h 
    lstm/tfnetwork.h 
    lstm/weightmatrix.h

    #${CMAKE_BINARY_DIR}/src/endianness.h
    DESTINATION include/tesseract)


###############################################################################
